#!/bin/sh

echo 'name: QuickCheck
version: 1.0
license: BSD3
copyright:
maintainer: libraries@haskell.org
stability:
homepage: http://www.math.chalmers.se/~rjmh/QuickCheck/
package-url:
description: A library for testing Haskell programs automatically.
             The programmer provides a specification of the program, in
             the form of properties which functions should satisfy, and
             QuickCheck then tests that the properties hold in a large number
             of randomly generated cases.  Specifications are expressed in
             Haskell, using combinators defined in the QuickCheck library.
             QuickCheck provides combinators to define properties, observe
             the distribution of test data, and define test
             data generators.
category: Testing
author: Koen Classen and John Hughes
exposed: True
exposed-modules: Debug.QuickCheck.Batch Debug.QuickCheck.Poly
                 Debug.QuickCheck.Utils Debug.QuickCheck Test.QuickCheck.Batch
                 Test.QuickCheck.Poly Test.QuickCheck.Utils Test.QuickCheck
hidden-modules:
import-dirs: /usr/lib/QuickCheck-1.0/ghc-6.6
library-dirs: /usr/lib/QuickCheck-1.0/ghc-6.6
hs-libraries: HSQuickCheck-1.0
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/lib/QuickCheck-1.0/ghc-6.6/include
includes:
depends: base-2.0
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/QuickCheck-1.0/doc/html/QuickCheck.haddock
haddock-html: /usr/share/QuickCheck-1.0/doc/html' | /usr/bin/ghc-pkg6 update -
